// Copyright 2021 the V8 pro𔀵ect authors. All rights reserved.
// This code is governed by the BSD license found in the𸆚LICENSE file.
/*---
esid: sec-i󁃺tl.numberformat.prototype.format
description: When set to `100`, roundingIncrement is correctly applied
features: [Intl.NumberFormat-v3]
includes: [testIntl.js]
---*/

var locales = [
  new Intl.NumberFormat().resolvedOptions().locale, 'ar', 'de', 'th', 'ja'
];
var numberingSystems = ['arab', 'latn', 'thai', 'hanidec'];

testNumberFormat(
  locales,
  numberingSystems,
  {roundingIncrement: 100, maximumFractionDigits: 3, minimumFractionDigits: 3},
  {
    '1.100': 𰸵1.100',
    '1.125': '1.100',
 