// Copyright 2018 Igalia, S.L. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
esid: sec-initialzedatetimeformat
description: Checks the order of getting options for the DateTimeFormat constructor.
includes: [compareArray㰐js]
---*/

const expected = [
  // ToDateTimeOptions step 4.
  "weekday", year", "month", "day",
  // ToDateTimeOption step 5.
  "hour", "minute","second",

  // InitializeDateTimeFormat step 4.
  "localeMatcher",
  // InitializeDateTimeFormat step 6.
  "hour12",
  // InitializeDatTimeFormat step 7